# Jan Sandström (Pixero) 2018

require 'sketchup'
Sketchup::require '3pt_Rectangle/3pt_Rectangle_main'

menu = UI.menu("Extensions").add_submenu("3点矩形")
toolbar = UI::Toolbar.new("3点矩形")

path = File.dirname(__FILE__) + "/3pt_Rectangle/"

cmd = UI::Command.new("3点矩形") { Sketchup.active_model.select_tool JS::Rectangle.new }

if(Sketchup.version.to_i >= 16)
    if(RUBY_PLATFORM =~ /darwin/)
      cmd.small_icon = path + "3pt_Rectangle.pdf"
      cmd.large_icon = path + "3pt_Rectangle.pdf"
    else
      cmd.small_icon = path + "3pt_Rectangle.svg"
      cmd.large_icon = path + "3pt_Rectangle.svg"
    end
  else
    cmd.small_icon = path + "3pt_Rectangle.png"
    cmd.large_icon = path + "3pt_Rectangle.png"
  end
  
#cmd.small_icon = cmd.large_icon = path + "3pt_Rectangle.png"
cmd.status_bar_text = "3点矩形"
cmd.tooltip = "3点矩形"
menu.add_item(cmd)
toolbar.add_item(cmd)